## Bsoft program

# bcomplex

### Usage: bcomplex [options] input.img output.img

Converts complex image forms.

### Actions:

-size 120,102,200 | Resize the image as a Fourier transform.
-logarithm | Calculate the logarithm of the image.
-amplitudes | Convert a complex image to amplitudes.
-intensities | Convert a complex image to intensities.
-real | Convert a complex image to real values.
-imaginary | Convert a complex image to imaginary values.
-phases | Convert a complex image to phases.
-signed | Convert a complex image to amplitudes, with sign based on phase.
-positive | Convert a complex image to be postive definite.
-friedel | Check and apply Friedel symmetry.

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).

Bsoft version 2.0.3-20180917 (64 bit)